/////////////////////////////////////////////////////////////////////////////
// Name:        AutoCounterTiler.h
// Purpose:     Generate TAM tilesets which self-assemble into counters
// Author:      Matthew Patitz <mpatitz@yahoo.com>
// Modified by:
// Created:     Nov/2007
// Copyright:   (c) 2008, Matthew John Patitz
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef __AUTOTILES_H__
#define __AUTOTILES_H__

#include <string>
#include <vector>
#include <fstream>
#include <iostream>
#include "tiles.h"
#include "counters.h"


//  NOTE:  When adding to this list of reserved characters, make sure to add to the ReservedChars array too!
char* ReservedChars[] = {LEASTSIG, MOSTSIG, NAMEDELIMIT, MARKER };


#endif //  __AUTOTILES_H__
